## ros-noetic-sob-layer 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(sob_layer CXX)

# on gcc use -fopt-info-loop-optimized to check the auto-vectorization
# on clang use -Rpass=loop-vectorize to check the auto-vectorization
# uncomment the line below to enable the auto-vectorization.
# add_definitions("-O3 -march=native")
add_compile_options(-Wpedantic -Wall -Wextra -Wno-unused-parameter)
set(catkin_PACKAGES costmap_2d dynamic_reconfigure pluginlib)

find_package(catkin REQUIRED ${catkin_PACKAGES})
find_package(benchmark)

catkin_package(
 INCLUDE_DIRS src
 LIBRARIES ${PROJECT_NAME}
 CATKIN_DEPENDS ${catkin_PACKAGES}
)

add_library(${PROJECT_NAME} src/sob_layer.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
target_include_directories(${PROJECT_NAME} PUBLIC src ${catkin_INCLUDE_DIRS})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY src/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES sob_layer.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}_test test/sob_layer.cpp)
  if(TARGET ${PROJECT_NAME}_test)
    target_link_libraries(${PROJECT_NAME}_test ${PROJECT_NAME})
  endif()
endif()

###############
## Benchmark ##
###############

# add --cmake-args -Dsob_layer_BENCHMARK=ON when compiling to activate this option.
set(sob_layer_BENCHMARK OFF)
if(${sob_layer_BENCHMARK})
  if(benchmark_FOUND)
    add_executable(${PROJECT_NAME}_perf perf/sob_layer.cpp)
    target_link_libraries(${PROJECT_NAME}_perf benchmark::benchmark ${PROJECT_NAME})
  else()
    message("benchmark library not found")
  endif()
endif()

=== debian/changelog ===
ros-noetic-sob-layer (0.1.1-1focal) focal; urgency=high

  * fix segmentation fault (#12 <https://github.com/dorezyuk/sob_layer/issues/12>)
  * Dima/unknown cost (#11 <https://github.com/dorezyuk/sob_layer/issues/11>)
  * Merge pull request #10 <https://github.com/dorezyuk/sob_layer/issues/10> from dorezyuk/dima/dev2
    Dima/dev2
  * update the image generation and images
  * adjust doc-string
  * move the power computation outside of the parabola loop
  * cache-friendlier formulation
  * fix compiler warnings when compiling with pedantic
  * remove calls to std::sqrt
  * fix include order
  * more explicit skipping
  * fix missing updateBounds call
  * Merge pull request #9 <https://github.com/dorezyuk/sob_layer/issues/9> from dorezyuk/dima/dev
    misc fixes
  * misc fixes
  * Merge pull request #8 <https://github.com/dorezyuk/sob_layer/issues/8> from dorezyuk/dima/dev
    Dima/dev
  * update README
  * fix cmake
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Sun, 21 Nov 2021 23:00:00 -0000

ros-noetic-sob-layer (0.1.0-1focal) focal; urgency=high

  * prepare for debian-packaging
  * minor fixes
  * adjust documentation
  * move the computeCache call into updateBounds
  * add documentation about unknown costs
  * add warning for unsupported parameters
  * fix doc
  * misc
  * Update README.md
  * add travis.yaml
  * add doc
  * add documentation and licence
  * Create LICENSE
  * init
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Mon, 23 Nov 2020 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-sob-layer
Section: misc
Priority: optional
Maintainer: Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-costmap-2d, ros-noetic-dynamic-reconfigure, ros-noetic-pluginlib
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-sob-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-costmap-2d, ros-noetic-dynamic-reconfigure, ros-noetic-pluginlib
Description: Plugin-replacement for the default costmap_2d::InflationLayer.
